summaryrefslogtreecommitdiff
path: root/setenv-embedded.sh
diff options
context:
space:
mode:
authorJeffrey Walton <noloader@gmail.com>2018-01-20 12:42:49 -0500
committerJeffrey Walton <noloader@gmail.com>2018-01-20 12:42:49 -0500
commitb225fbfae79afdce6cc42c094a65a8c167cf5c4e (patch)
tree31d77f09dd8ed88920eb377d36d401f46a066c73 /setenv-embedded.sh
parent600fa4d107a4179f60bd565a04639f3d01327240 (diff)
downloadcryptopp-git-b225fbfae79afdce6cc42c094a65a8c167cf5c4e.tar.gz
Sync setenv scripts
Diffstat (limited to 'setenv-embedded.sh')
-rwxr-xr-xsetenv-embedded.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/setenv-embedded.sh b/setenv-embedded.sh
index 7e743ab8..c6259645 100755
--- a/setenv-embedded.sh
+++ b/setenv-embedded.sh
@@ -13,7 +13,7 @@
# See http://www.cryptopp.com/wiki/ARM_Embedded_(Command_Line) for details.
# ====================================================================
-# set -eu
+set -eu
# Unset old options
@@ -44,8 +44,7 @@ export CXX="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-g++"
export LD="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-ld"
export AR="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-ar"
export AS="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-as"
-export RANLIB="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-ranlib"
-# export RANLIB="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-gcc-ranlib-4.7"
+export RANLIB="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-gcc-ranlib-4.7"
# Test a few of the tools
if [ ! -e "$CPP" ]; then
@@ -98,8 +97,7 @@ if [ ! -d "$ARM_EMBEDDED_SYSROOT" ]; then
fi
# Fix C++ header paths for Ubuntu
-# ARM_EMBEDDED_TOOLCHAIN_VERSION="4.7.3"
-ARM_EMBEDDED_TOOLCHAIN_VERSION="5.4.0"
+ARM_EMBEDDED_TOOLCHAIN_VERSION="4.7.3"
ARM_EMBEDDED_CXX_HEADERS="$ARM_EMBEDDED_SYSROOT/include/c++/$ARM_EMBEDDED_TOOLCHAIN_VERSION"
if [ ! -d "$ARM_EMBEDDED_CXX_HEADERS" ]; then
@@ -136,9 +134,8 @@ fi
echo
echo "*******************************************************************************"
-echo "It looks the the environment is set correctly. Your next step is build"
-echo "the library with 'make -f GNUmakefile-cross'. You can create a versioned"
-echo "shared object using 'HAS_SOLIB_VERSION=1 make -f GNUmakefile-cross'"
+echo "It looks the the environment is set correctly. Your next step is"
+echo "build the library with 'make -f GNUmakefile-cross'"
echo "*******************************************************************************"
echo